Bug 1494922 - Clicking on CV versions link in Content Views widget shows 404 page not found
Summary: Clicking on CV versions link in Content Views widget shows 404 page not found
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Dashboard
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Walden Raines
QA Contact: Nikhil Kathole
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-24 06:59 UTC by Nikhil Kathole
Modified: 2019-08-12 16:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 17:30:11 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot of UI (27.02 KB, image/png)
2017-09-24 06:59 UTC, Nikhil Kathole
no flags Details
Clicking on CV version (710.60 KB, application/octet-stream)
2017-10-23 07:19 UTC, Nikhil Kathole
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 21364 0 None None None 2017-10-17 15:02:56 UTC

Description Nikhil Kathole 2017-09-24 06:59:26 UTC
Created attachment 1330099 [details]
screenshot of UI

Description of problem: We were trying to navigate to content view versions available from dashboard content views widget.But it shows error as "404 - Page Not Found The requested URL /content_views/2/versions/2/details was not found. You may have mistyped the address or the page may have moved. If you are the application owner check the logs for more information."


Version-Release number of selected component (if applicable): satellite 6.3 snap 17


How reproducible: always


Steps to Reproduce:
1. Create content views and publish and promote to environment
2. Navigate to Dashboard page 
3. Look for content views widget 
4. Click on content view version link

Actual results:
Page navigate to "https://$HOST/content_views/3/versions/3/details" and shows 
"404 - Page Not Found The requested URL /content_views/2/versions/2/details was not found. You may have mistyped the address or the page may have moved. If you are the application owner check the logs for more information."

Expected results:
Page should navigate to correct URL.

Additional info:

Comment 2 Walden Raines 2017-10-17 14:25:05 UTC
Created redmine issue http://projects.theforeman.org/issues/21364 from this bug

Comment 3 Walden Raines 2017-10-17 14:38:26 UTC
PR: https://github.com/Katello/katello/pull/7009

Comment 4 Satellite Program 2017-10-17 22:08:13 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21364 has been resolved.

Comment 5 Nikhil Kathole 2017-10-23 07:14:37 UTC
VERIFIED

Version Tested:
Satellite-6.3 Snap 21

steps:

1. Created content views
2. Published and promoted CV
3. Navigated to Dashboard page 
4. Clicked on content view version link

Successfully redirected to details.

Comment 6 Nikhil Kathole 2017-10-23 07:19:22 UTC
Created attachment 1342020 [details]
Clicking on CV version

Comment 7 Bryan Kearney 2018-02-21 17:30:11 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.